### Virtual Method

# Gio Vfs local_file_add_info

#### Declaration [src]

    void
    local_file_add_info (
      GVfs* vfs,
      const char* filename,
      guint64 device,
      GFileAttributeMatcher* attribute_matcher,
      GFileInfo* info,
      GCancellable* cancellable,
      gpointer* extra_data,
      GDestroyNotify* free_extra_data
    )

#### Description

No description available.

#### Parameters

`filename`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`device`

  Type: `guint64`

  No description available.

`attribute_matcher`

  Type: `GFileAttributeMatcher`

  No description available.

  The data is owned by the caller of the method.

`info`

  Type: `GFileInfo`

  No description available.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`extra_data`

  Type: `gpointer*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`free_extra_data`

  Type: `GDestroyNotify`

  No description available.

  The data is owned by the caller of the method.